• December 05, 2019, 08:46:47 AM
  • Welcome, Guest
Please login or register.

Login with username, password and session length
Advanced search  

News:

This Forum Beta is ONLY for registered owners of D-Link products in the USA for which we have created boards at this time.

Author Topic: NPAPI plugins don't work on Chrome version 42 and higher  (Read 6825 times)

pittnuma

  • Level 3 Member
  • ***
  • Posts: 107
    • Yorkshire Gliding Club
NPAPI plugins don't work on Chrome version 42 and higher
« on: July 15, 2015, 01:21:52 AM »

Hi,

Is D-Link working on a resolution to this?

NPAPI plugins don't work on Chrome version 42 and higher, it is plastered all over Chrome that they are going to remove support. Will this mean all Dlink cameras will stop working with Chrome?
Logged
Learn from the mistakes of others. You won't live long enough to make all of them yourself.

philphil61

  • Level 3 Member
  • ***
  • Posts: 256
Re: NPAPI plugins don't work on Chrome version 42 and higher
« Reply #1 on: July 15, 2015, 02:52:21 AM »

For the 320L NAS - DLink have already created a Universal Media Player that replaces Java

see my comment http://forums.dlink.com/index.php?topic=62985.msg256522#msg256522

and you can enable NPAPI in Chrome

Enabling NPAPI in Chrome Version 42 and later
As of Chrome Version 42, an additional configuration step is required to continue using NPAPI plugins.

In your URL bar, enter:
chrome://flags/#enable-npapi
Click the Enable link for the Enable NPAPI configuration option.
Click the Relaunch button that now appears at the bottom of the configuration page.

but if my memory serves me well Chrome will remove any NPAPI support on later version.
« Last Edit: July 15, 2015, 02:55:22 AM by philphil61 »
Logged

Axel_7

  • Level 1 Member
  • *
  • Posts: 5
Re: NPAPI plugins don't work on Chrome version 42 and higher
« Reply #2 on: September 09, 2015, 03:32:44 PM »

Ok woke up to my chrome being updated without my knowledge and now i can use your camera :(

What options are there beside switching to EI that even MS doesnt support.
Logged

FurryNutz

  • Poweruser
  •   ▲
    ▲ ▲
  • *****
  • Posts: 47947
  • D-Link Global Forum Moderator
    • Router Troubleshooting
Re: NPAPI plugins don't work on Chrome version 42 and higher
« Reply #3 on: September 09, 2015, 03:43:00 PM »


"Ok woke up to my chrome being updated without my knowledge and now i can use your camera"  ???
Huh?

Ok woke up to my chrome being updated without my knowledge and now i can use your camera :(

What options are there beside switching to EI that even MS doesnt support.
Logged
Cable:200mb/10Mb>NetGear C7800>DIR-882>DGS-1100>HP 24pt Gb Switch. COVR-3902/2202/1203,DIR-2680,890L,882,880L,868L,DNR-202L,DNS-345x2,DCS-933L,936L and 960L.
Go Here>Router Troubleshooting

Axel_7

  • Level 1 Member
  • *
  • Posts: 5
Re: NPAPI plugins don't work on Chrome version 42 and higher
« Reply #4 on: September 10, 2015, 08:22:17 AM »

Chrome updated itself to the latest Version 45.0.2454.85
and now it no longer has NPAPI option to enable.
So without Java support or the option to turn on Npapi
how do we run D-Link cameras
Logged

FurryNutz

  • Poweruser
  •   ▲
    ▲ ▲
  • *****
  • Posts: 47947
  • D-Link Global Forum Moderator
    • Router Troubleshooting
Re: NPAPI plugins don't work on Chrome version 42 and higher
« Reply #5 on: September 10, 2015, 08:29:55 AM »

Java is no longer supported on D-link cameras anymore. D-Link Universal Media Player plug-in needs to be installed:
DCS Cloud (L) Series Camera Configuration and Mydlink.com

Logged
Cable:200mb/10Mb>NetGear C7800>DIR-882>DGS-1100>HP 24pt Gb Switch. COVR-3902/2202/1203,DIR-2680,890L,882,880L,868L,DNR-202L,DNS-345x2,DCS-933L,936L and 960L.
Go Here>Router Troubleshooting